body { 
    padding-top: 70px; 
}

@media (min-width: 768px){
    .navbar .navbar-nav {
        display: inline-block;
        float: none;
    }

    .navbar .navbar-collapse {
        text-align: center;
    }
}